{% extends "_base.html" %}

{% block content %}

<section class="section">
  <div class="container">

    <div class="columns">
      <div class="column is-three-fifths">
        <h1 class="title">FastAPI Machine Learning Example</h1>
        <hr><br>
    
        <div class="field">
          <label class="label">Pregnancies</label>
          <div class="control">
            <input class="input" type="number" placeholder="Integer" value="2">
          </div>
        </div>

        <div class="field">
          <label class="label">Glucose</label>
          <div class="control">
            <input class="input" type="number" placeholder="Integer" value="100">
          </div>
        </div>

        <div class="field">
          <label class="label">BloodPressure</label>
          <div class="control">
            <input class="input" type="number" placeholder="Integer" value="75">
          </div>
        </div>

        <div class="field">
          <label class="label">SkinThickness</label>
          <div class="control">
            <input class="input" type="number" placeholder="Integer" value="20">
          </div>
        </div>

        <div class="field">
          <label class="label">Insulin</label>
          <div class="control">
            <input class="input" type="number" placeholder="Integer" value="100">
          </div>
        </div>

        <div class="field">
          <label class="label">BMI</label>
          <div class="control">
            <input class="input" type="number" placeholder="Float" value="29.0">
          </div>
        </div>

        <div class="field">
          <label class="label">DiabetesPedigreeFunction</label>
          <div class="control">
            <input class="input" type="number" placeholder="Float" value="3.0">
          </div>
        </div>

        <div class="field">
          <label class="label">Age</label>
          <div class="control">
            <input class="input" type="number" placeholder="Integer" value="39">
          </div>
        </div>
        
        <div class="field is-grouped">
          <div class="control">
            <button class="button is-link">Submit</button>
          </div>
        </div>

        <br>
        
        <article class="message">
          <div class="message-header">
            <p id="results"></p>
          </div>
        </article>
      </div>
    </div>

  </div>
</section>

{% endblock %}